<div class="upload-wrapper">
    <div class="file-container">
      <div *ngFor="let file of selectedFiles; let i = index" class="file {{!isImage(file)?'file--large':''}}" >
        <ng-container *ngIf="isImage(file)" >
            <img [src]="getSanitizedImageUrl(file)" />
            <span (click)="onDelete(i)">X</span>
        </ng-container>
        <div class="filename" *ngIf="!isImage(file)" >
            <div>{{file.name}} : <span (click)="onDelete(i)" class="text-red">Supprimer</span></div>
            
        </div>
      </div>
    </div>
    <div class="upload-container" (click)="openFileInput()">
      <div class="mask"></div>
      <div class="helper-text">
        <div class="absolute-div">
          <div>
            Importer de(s) fichier(s)
          </div>
        </div>
      </div>
      <input
        #fileinput
        [multiple]="to.multiple"
        id="file-input"
        type="file"
        [formControl]="formControl"
        [formlyAttributes]="field"
        (change)="onChange($event)"
        [accept]="to.accept"
        style="display: none"
      />
    </div>
  </div> 